require "Items/SuburbsDistributions"
require "Items/ItemPicker"

	--[[
	SuburbsDistributions["AmbulanceBROKEN"] = {
		rolls = 5,
		items = {
		"Base.CorpseMale", 2,
		"Base.CorpseFemale", 2,	
		},
		fillRand = 5,
	};
	
	]]
	
function FloorSpawnCheck(square)

	if not Area then return 0 end;
	
    if not square:getModData().AlreadyRolledSquare then
		square:getModData().AlreadyRolledSquare = true;
      	local theArea = nil;
		
			if square:getZoneType() == "TownZone" then
			
				if(square:getRoom() ~= nil) then
					theArea = square:getRoom():getName();
				else
					theArea = "Outside";
				end
			
			else
				theArea = square:getZoneType();
			end
			
			if(Area[theArea] ~= nil) then
				
				local i = 0;
				
				for k, v in pairs(Area[theArea]) do
					local result = tostring(v);
					
					local chance = string.split(result,"/")[2];
					local item = string.split(result,"/")[1];
					if(item and chance) then
						if (ZombRand(10000)+1) < tonumber(chance) then
							local xoff = (ZombRand(99) /100);
							local yoff = (ZombRand(99) /100);
							square:AddWorldInventoryItem(item, xoff, yoff, 0.0);
						end
					end
				end				
				
			end
                                           
        
    end
   
end



Events.LoadGridsquare.Add(FloorSpawnCheck);